OFCTL(8)

NAME
ofctl - display the OpenPROM or OpenFirmware device tree

SYNOPSIS
ofctl [-p] [-f file] [node]

DESCRIPTION
ofctl provides an interface for displaying the OpenPROM or OpenFirmware device tree and node properties. The ofctl program is only installed on supported platforms.

Without any arguments, ofctl will dump the full tree. When given the name of a specific node, ofctl will display that node and its child nodes.

The options are as follows:

-f file
    On systems with OpenPROM, use file instead of the default /dev/openprom. On systems with OpenFirmware, use file instead of the default /dev/openfirm.

-p  Display each node's properties.

FILES

/dev/openprom
    The openprom device on systems with OpenPROM.

/dev/openfirm
    The openfirm device on systems with OpenFirmware.

SEE ALSO
eeprom(8)